Download it now!
Bug 74875 - Filter of "nowiki" to be improved - Export to MediaWiki
Summary: Filter of "nowiki" to be improved - Export to MediaWiki
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
4.2.0.4 release
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Julien Nabet
URL:
Whiteboard: target:4.3.0 target:4.2.2
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-12 06:08 UTC by steven
Modified: 2014-02-22 04:40 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
Text with brackets (15.62 KB, application/vnd.oasis.opendocument.text)
2014-02-12 06:08 UTC, steven
Details
Text with brackets and linls (19.83 KB, application/vnd.oasis.opendocument.text)
2014-02-12 06:20 UTC, steven
Details

Note You need to log in before you can comment on or make changes to this bug.
Description steven 2014-02-12 06:08:18 UTC
Created attachment 93899 [details]
Text with brackets

Problem description: 

"[" in the Writer text, does not affect/related to any MediaWiki syntax, but include with "<nowiki> </nowiki>" 


Steps to reproduce:
1. single "[" in Writer

e.g.
The then-effective Judiciary Act provided that the Supreme Court would have jurisdiction “to issue … writs of mandamus … [to] persons holding office under the authority of the United States.” Thus the Act itself explicitly authorized the relief being sought by the plaintiffs. 

2. export to MW, display OK

<nowiki>The then-effective Judiciary Act provided that the Supreme Court would have jurisdiction “to issue … writs of mandamus … [to] persons holding office under the authority of the United States.” Thus the Act itself explicitly authorized the relief being sought by the plaintiffs.</nowiki> 

3. delete "<nowiki> </nowiki>" in wiki page, nothing happen 

Current behavior: 

This issue causes I need to remove "<nowiki> </nowiki>"  every time, when I want to add MW syntax, e.g. add links, and so on. specially to re-edit to "long pages" , which is very annoying.

Expected behavior:

filter to be improved
Comment 1 steven 2014-02-12 06:20:20 UTC
Created attachment 93900 [details]
Text with brackets and linls

More complex example, after export to wiki, delete "<nowiki> </nowiki>" in wiki page, display ok.
Comment 2 Julien Nabet 2014-02-12 21:19:59 UTC
Steven: I pushed this patch on master:
https://gerrit.libreoffice.org/gitweb?p=core.git;a=commitdiff;h=e4a448a9c7ecfbbfeaa78f6e0a268f3f2509065e
At least it removes the overkill use of <nowiki>.
Now I don't think I'm capable to really fix the nowiki use.

On 4.2 sources, here's the gerrit review:
https://gerrit.libreoffice.org/8024
Comment 3 Commit Notification 2014-02-13 01:10:22 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e4a448a9c7ecfbbfeaa78f6e0a268f3f2509065e

Related: fdo#74875 Filter of "nowiki" to be improved - Export to MediaWiki



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 steven 2014-02-13 01:27:52 UTC
Updated, issue of attached test file is resolved, it need to more test.

Thanks!
Comment 5 Commit Notification 2014-02-14 09:11:31 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d5fba1856ff1f939a9ebd523da3aa6578fbc3a25&h=libreoffice-4-2

Related: fdo#74875 Filter of "nowiki" to be improved - Export to MediaWiki


It will be available in LibreOffice 4.2.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.